Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::sfint32 Class Reference
[Field Values]

Inheritance diagram for openvrml::sfint32:

[legend]
List of all members.

## Detailed Description

A 32-bit integer node field value.

Model of
  FieldValue

## Public Types
typedef int32 | value_type
| Type of value.
## Public Member Functions
| sfint32 (int32 value=0) throw ()
| Construct.
virtual | ~sfint32 () throw ()
| Destroy.
virtual std::auto_ptr< field_value > | clone () const throw (std::bad_alloc)
| Virtual copy constructor.
virtual field_value & | assign (const field_value &value) throw (std::bad_cast)
| Virtual assignment.
virtual type_id | type () const throw ()
| Get the field_value::type_id associated with this class.
## Public Attributes
int32 | value
| Signed 32-bit integer value.
## Private Member Functions
virtual void | print (std::ostream &) const
| Print to an output stream.
## Related Functions
(Note that these are not member functions.)
bool | operator== (const sfint32 &lhs, const sfint32 &rhs) throw()
| Compare for equality.
bool | operator!= (const sfint32 &lhs, const sfint32 &rhs) throw()
| Compare for inequality.

## Member Typedef Documentation

openvrml::sfint32::value_type

| Type of value.

## Constructor & Destructor Documentation

openvrml::sfint32::sfint32 | ( | int32 | value = `0` | ) | throw ()`[explicit]`

  | Construct. Parameters:
  | value | initial value.

openvrml::sfint32::~sfint32 | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

std::auto_ptr< field_value > openvrml::sfint32::clone | ( |  | ) | const throw (std::bad_alloc)`[virtual]`

  | Virtual copy constructor. Returns: a pointer to a copy of the object. Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value.

field_value & openvrml::sfint32::assign | ( | const field_value & | value | ) | throw (std::bad_cast)`[virtual]`

  | Virtual assignment. Parameters:
  | value | the new value to give the object.
  Returns: a reference to the object. Exceptions:
  | std::bad_cast | if `value` is not an sfint32.
Implements openvrml::field_value.

field_value::type_id openvrml::sfint32::type | ( |  | ) | const throw ()`[virtual]`

| Get the field_value::type_id associated with this class. Returns: `field_value::sfint32`. Implements openvrml::field_value.

void openvrml::sfint32::print | ( | std::ostream & | out | ) | const`[private, virtual]`

  | Print to an output stream. Parameters:
  | out | an output stream.
Implements openvrml::field_value.

## Friends And Related Function Documentation

bool operator== | ( | const sfint32 & | lhs,
|  | const sfint32 & | rhs
| ) | throw()`[related]`

  | Compare for equality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` have the same value; `false` otherwise.

bool operator!= | ( | const sfint32 & | lhs,
|  | const sfint32 & | rhs
| ) | throw()`[related]`

  | Compare for inequality. Parameters:
  | lhs | left-hand operand.
  | rhs | right-hand operand.
Returns: `true` if `lhs` and `rhs` do not have the same value; `false` otherwise.

## Member Data Documentation

openvrml::sfint32::value

| Signed 32-bit integer value.